Package org.eclipse.emf.spi.cdo

# Interface InternalCDOSession

All Superinterfaces:
  `CDOCommonSession`, `CDORevisionUnchunker`, `CDOSession`, `CDOTransactionContainer`, `CDOTransactionOpener`, `CDOUpdatable`, `CDOViewContainer`, `CDOViewOpener`, `org.eclipse.net4j.util.collection.Closeable`, `IAdaptable`, `org.eclipse.net4j.util.container.IContainer<CDOView>`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.concurrent.IExecutorServiceProvider`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.event.INotifier`, `InternalCDOPackageRegistry.PackageLoader`, `InternalCDOPackageRegistry.PackageProcessor`, `InternalCDORevisionManager.RevisionLocker`, `org.eclipse.net4j.util.options.IOptionsContainer`, `org.eclipse.net4j.util.security.IPasswordCredentialsProvider.Provider`, `org.eclipse.net4j.util.properties.IPropertiesContainer`, `org.eclipse.net4j.util.security.IUserAware`

public interface InternalCDOSession extends CDOSession, InternalCDOPackageRegistry.PackageProcessor, InternalCDOPackageRegistry.PackageLoader, InternalCDORevisionManager.RevisionLocker, CDORevisionUnchunker, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.concurrent.IExecutorServiceProvider
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  2.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static final class`
`InternalCDOSession.CommitToken`
A token that is maintained during local commits of transactions.
`static final class`
`InternalCDOSession.InvalidationData`
A data structure that holds all input values of `InternalCDOSession#invalidate()`.
`static final class`
`InternalCDOSession.MergeData`
A data structure that holds all input and output values of `InternalCDOSession.getMergeData()`.

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSession

`CDOSession.ExceptionHandler, CDOSession.Options`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.util.CDOUpdatable

`NO_TIMEOUT`

## Method Summary

Modifier and Type
Method
Description
`void`
`cacheRevisions(CDORevisionAvailabilityInfo info)`
Deprecated.
As of 4.2 not used anymore.
`void`
`clearCommittedSinceLastRefresh()`
`CDORevisionAvailabilityInfo`
`createRevisionAvailabilityInfo(CDOBranchPoint branchPoint)`
Deprecated.
As of 4.2 not used anymore.
`void`
`endLocalCommit(Object token)`
`CDOAuthenticator`
`getAuthenticator()`
Deprecated.
As of 4.2 use `IPasswordCredentialsProvider.Provider.getCredentialsProvider()`
`InternalCDOBranchManager`
`getBranchManager()`
Returns the CDO `branch manager` that manages the `branches` of the repository of this session.
`InternalCDOCommitInfoManager`
`getCommitInfoManager()`
Returns the CDO `commit info manager` of this session.
`CDOBranchPoint`
`getCommittedSinceLastRefresh(CDOID id)`
`CDOLobStore`
`getLobStore()`
`CDOLockStateCache`
`getLockStateCache()`
`InternalCDOSession.MergeData`
`getMergeData(CDOBranchPoint target, CDOBranchPoint source, CDOBranchPoint sourceBase, boolean computeChangeSets)`
`InternalCDOSession.MergeData`
`getMergeData(CDOBranchPoint target, CDOBranchPoint source, CDOBranchPoint targetBase, CDOBranchPoint sourceBase, boolean computeChangeSets)`
`InternalCDOPackageRegistry`
`getPackageRegistry()`
Returns the EMF `package registry` that is used by all `objects` of all `views` of this session.
`InternalCDORemoteSessionManager`
`getRemoteSessionManager()`
Returns the CDO `remote session manager` that keeps track of the other remote sessions served by the repository of this local session.
`InternalCDORevisionManager`
`getRevisionManager()`
Returns the CDO `revision manager` that manages the `revisions` of the repository of this session.
`CDOSessionProtocol`
`getSessionProtocol()`
`InternalCDOView[]`
`getViews()`
Returns an array of all open `views` and `transactions` of this session.
`void`
`handleBranchNotification(InternalCDOBranch branch)`
Deprecated.
As of 4.3 no longer supported.
`void`
`handleCommitNotification(CDOCommitInfo commitInfo)`
Deprecated.
As of 4.2 use `handleCommitNotification(CDOCommitInfo, boolean)`.
`void`
`handleCommitNotification(CDOCommitInfo commitInfo, boolean clearResourcePathCache)`
Deprecated.
As of 4.3 use `handleCommitNotification(CommitNotificationInfo)`.
`void`
`handleCommitNotification(CDOProtocol.CommitNotificationInfo info)`
`void`
`handleLockNotification(CDOLockChangeInfo lockChangeInfo, InternalCDOView sender)`
Deprecated.
As of 4.12 use `handleLockNotification(CDOLockChangeInfo, InternalCDOView, boolean)`.
`void`
`handleLockNotification(CDOLockChangeInfo lockChangeInfo, InternalCDOView sender, boolean async)`
`void`
`handleRepositoryStateChanged(CDOCommonRepository.State oldState, CDOCommonRepository.State newState)`
`void`
`handleRepositoryTypeChanged(CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType)`
`void`
`handleViewClosed(int viewID)`
`void`
`invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender)`
Deprecated.
As of 4.2 use `invalidate(CDOCommitInfo, InternalCDOTransaction, boolean)`.
`void`
`invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender, boolean clearResourcePathCache)`
Deprecated.
As of 4.3 use `invalidate(CDOCommitInfo, InternalCDOTransaction, boolean, byte, Map)`.
`void`
`invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender, boolean clearResourcePathCache, byte securityImpact, Map<CDOID,CDOPermission> newPermissions)`
Deprecated.
As of 4.6 use `invalidate(InvalidationData)`.
`void`
`invalidate(InternalCDOSession.InvalidationData invalidationData)`
`boolean`
`isSticky()`
`void`
`processRefreshSessionResult(CDOSessionProtocol.RefreshSessionResult result, CDOBranch branch, List<InternalCDOView> branchViews, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions)`
`void`
`resetCredentials(String userID)`
Initiates (possibly interactive) reset of credentials for the specified user.
`void`
`resolveAllElementProxies(CDORevision revision)`
`Object`
`resolveElementProxy(CDORevision revision, EStructuralFeature feature, int accessIndex, int serverIndex)`
`void`
`setAuthenticator(CDOAuthenticator authenticator)`
Deprecated.
As of 4.2 use `setCredentialsProvider(IPasswordCredentialsProvider)`
`void`
`setBranchManager(InternalCDOBranchManager branchManager)`
`void`
`setCommitInfoManager(InternalCDOCommitInfoManager commitInfoManager)`
`void`
`setCommittedSinceLastRefresh(CDOID id, CDOBranchPoint branchPoint)`
`void`
`setCredentialsProvider(org.eclipse.net4j.util.security.IPasswordCredentialsProvider credentialsProvider)`
`void`
`setExceptionHandler(CDOSession.ExceptionHandler exceptionHandler)`
`void`
`setFetchRuleManager(CDOFetchRuleManager fetchRuleManager)`
`void`
`setIDGenerator(CDOIDGenerator idGenerator)`
`void`
`setLastUpdateTime(long lastUpdateTime)`
`void`
`setLoginPeek(boolean loginPeek)`
`void`
`setMainBranchLocal(boolean mainBranchLocal)`
`void`
`setPackageRegistry(InternalCDOPackageRegistry packageRegistry)`
`void`
`setRemoteSessionManager(InternalCDORemoteSessionManager remoteSessionManager)`
`void`
`setRepositoryInfo(CDORepositoryInfo repositoryInfo)`
`void`
`setRevisionManager(InternalCDORevisionManager revisionManager)`
`void`
`setSessionID(int sessionID)`
`void`
`setSessionProtocol(CDOSessionProtocol sessionProtocol)`
`void`
`setUserID(String userID)`
`void`
`setUserInfoManager(CDOUserInfoManager userInfoManager)`
`Object`
`startLocalCommit()`
`void`
`syncExec(org.eclipse.net4j.util.RunnableWithException runnable)`
`Map<CDORevision,CDOPermission>`
`updatePermissions()`
`void`
`viewDetached(InternalCDOView view)`

### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession

`authorizeOperations, getOpeningTime, getSessionID, getView`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.CDORevisionUnchunker

`ensureChunks`

### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSession

`changeCredentials, changeServerPassword, compareRevisions, getExceptionHandler, getFetchRuleManager, getIDGenerator, getRepositoryInfo, getUserInfoManager, newBlob, newBlob, newClob, newClob, options, refresh, refresh, waitForUpdate, waitForUpdate`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionContainer

`getTransaction, getTransactions, getTransactions, openTransaction, openTransaction, openTransaction, openTransaction, openTransaction, openTransaction`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionOpener

`openTransaction, openTransaction`

### Methods inherited from interface org.eclipse.emf.cdo.util.CDOUpdatable

`getLastUpdateTime, runAfterUpdate`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewContainer

`getView, getViews, openView, openView, openView, openView, openView, openView, openView, openView`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewOpener

`openView, openView`

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.concurrent.IExecutorServiceProvider

`getExecutorService`

### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`activate, deactivate, getLifecycleState, isActive`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry.PackageLoader

`loadPackages`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry.PackageProcessor

`processPackage`

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.revision.InternalCDORevisionManager.RevisionLocker

`acquireAtomicRequestLock, releaseAtomicRequestLock`

### Methods inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider.Provider

`getCredentialsProvider`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

`properties`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Method Details

### getViews

InternalCDOView[] getViews()
Description copied from interface: `CDOViewContainer`
Returns an array of all open `views` and `transactions` of this session.

Specified by:
  `getViews` in interface `CDOCommonSession`
Specified by:
  `getViews` in interface `CDOViewContainer`
Since:
  4.12
See Also:
  - `CDOViewContainer.openView()`

### getSessionProtocol

CDOSessionProtocol getSessionProtocol()

### setSessionProtocol

void setSessionProtocol(CDOSessionProtocol sessionProtocol)

Since:
  3.0

### getLockStateCache

CDOLockStateCache getLockStateCache()

Since:
  4.15

### getAuthenticator

@Deprecated CDOAuthenticator getAuthenticator()
Deprecated.
As of 4.2 use `IPasswordCredentialsProvider.Provider.getCredentialsProvider()`

Since:
  4.0

### setAuthenticator

@Deprecated void setAuthenticator(CDOAuthenticator authenticator)
Deprecated.
As of 4.2 use `setCredentialsProvider(IPasswordCredentialsProvider)`

Since:
  4.0

### setCredentialsProvider

void setCredentialsProvider(org.eclipse.net4j.util.security.IPasswordCredentialsProvider credentialsProvider)

Since:
  4.2

### getPackageRegistry

InternalCDOPackageRegistry getPackageRegistry()
Description copied from interface: `CDOSession`
Returns the EMF `package registry` that is used by all `objects` of all `views` of this session.

This registry is managed by the `package unit manager` of this session. All `packages` that are already persisted in the repository of this session are automatically registered with this registry. New packages can be locally registered with this registry and are committed to the repository through a `transaction`, if needed.

Specified by:
  `getPackageRegistry` in interface `CDOSession`

### setPackageRegistry

void setPackageRegistry(InternalCDOPackageRegistry packageRegistry)

Since:
  4.0

### getBranchManager

InternalCDOBranchManager getBranchManager()
Description copied from interface: `CDOSession`
Returns the CDO `branch manager` that manages the `branches` of the repository of this session.

Specified by:
  `getBranchManager` in interface `CDOCommonSession`
Specified by:
  `getBranchManager` in interface `CDOSession`
Since:
  3.0

### setBranchManager

void setBranchManager(InternalCDOBranchManager branchManager)

Since:
  4.0

### getRevisionManager

InternalCDORevisionManager getRevisionManager()
Description copied from interface: `CDOSession`
Returns the CDO `revision manager` that manages the `revisions` of the repository of this session.

Specified by:
  `getRevisionManager` in interface `CDOCommonSession`
Specified by:
  `getRevisionManager` in interface `CDOSession`
Since:
  3.0

### setRevisionManager

void setRevisionManager(InternalCDORevisionManager revisionManager)

Since:
  4.0

### getCommitInfoManager

InternalCDOCommitInfoManager getCommitInfoManager()
Description copied from interface: `CDOSession`
Returns the CDO `commit info manager` of this session.

Specified by:
  `getCommitInfoManager` in interface `CDOCommonSession`
Specified by:
  `getCommitInfoManager` in interface `CDOSession`
Since:
  3.0

### setCommitInfoManager

void setCommitInfoManager(InternalCDOCommitInfoManager commitInfoManager)

Since:
  4.0

### setUserInfoManager

void setUserInfoManager(CDOUserInfoManager userInfoManager)

Since:
  4.26

### getRemoteSessionManager

InternalCDORemoteSessionManager getRemoteSessionManager()
Description copied from interface: `CDOSession`
Returns the CDO `remote session manager` that keeps track of the other remote sessions served by the repository of this local session.

Specified by:
  `getRemoteSessionManager` in interface `CDOSession`
Since:
  3.0

### setRemoteSessionManager

void setRemoteSessionManager(InternalCDORemoteSessionManager remoteSessionManager)

Since:
  3.0

### getLobStore

CDOLobStore getLobStore()

Since:
  4.0

### setExceptionHandler

void setExceptionHandler(CDOSession.ExceptionHandler exceptionHandler)

### setIDGenerator

void setIDGenerator(CDOIDGenerator idGenerator)

Since:
  4.1

### setFetchRuleManager

void setFetchRuleManager(CDOFetchRuleManager fetchRuleManager)

Since:
  3.0

### setRepositoryInfo

void setRepositoryInfo(CDORepositoryInfo repositoryInfo)

Since:
  3.0

### setSessionID

void setSessionID(int sessionID)

Since:
  3.0

### setUserID

void setUserID(String userID)

### setLastUpdateTime

void setLastUpdateTime(long lastUpdateTime)

Since:
  3.0

### resetCredentials

void resetCredentials(String userID)
Initiates (possibly interactive) reset of credentials for the specified user. This is an optional operation of the session and only available for administrators.

Parameters:
  `userID` - the ID of the user for which to reset credentials
Throws:
  `UnsupportedOperationException` - if the session implementation does not permit resetting user credentials
Since:
  4.3
See Also:
  - `IPasswordCredentialsProvider.Provider.getCredentialsProvider()`

### viewDetached

void viewDetached(InternalCDOView view)

### resolveElementProxy

Object resolveElementProxy(CDORevision revision, EStructuralFeature feature, int accessIndex, int serverIndex)

Since:
  3.0

### resolveAllElementProxies

void resolveAllElementProxies(CDORevision revision)

Since:
  4.0

### handleRepositoryTypeChanged

void handleRepositoryTypeChanged(CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType)

Since:
  3.0

### handleRepositoryStateChanged

void handleRepositoryStateChanged(CDOCommonRepository.State oldState, CDOCommonRepository.State newState)

Since:
  3.0

### handleBranchNotification

@Deprecated void handleBranchNotification(InternalCDOBranch branch)
Deprecated.
As of 4.3 no longer supported.

Since:
  3.0

### handleCommitNotification

@Deprecated void handleCommitNotification(CDOCommitInfo commitInfo)
Deprecated.
As of 4.2 use `handleCommitNotification(CDOCommitInfo, boolean)`.

Since:
  3.0

### handleCommitNotification

@Deprecated void handleCommitNotification(CDOCommitInfo commitInfo, boolean clearResourcePathCache)
Deprecated.
As of 4.3 use `handleCommitNotification(CommitNotificationInfo)`.

Since:
  4.2

### handleCommitNotification

void handleCommitNotification(CDOProtocol.CommitNotificationInfo info)

Since:
  4.3

### handleLockNotification

@Deprecated void handleLockNotification(CDOLockChangeInfo lockChangeInfo, InternalCDOView sender)
Deprecated.
As of 4.12 use `handleLockNotification(CDOLockChangeInfo, InternalCDOView, boolean)`.

Since:
  4.1

### handleLockNotification

void handleLockNotification(CDOLockChangeInfo lockChangeInfo, InternalCDOView sender, boolean async)

Since:
  4.12

### handleViewClosed

void handleViewClosed(int viewID)

Since:
  4.15

### syncExec

void syncExec(org.eclipse.net4j.util.RunnableWithException runnable) throws Exception

Throws:
  `Exception`
Since:
  4.22

### startLocalCommit

Object startLocalCommit()

Since:
  4.3

### endLocalCommit

void endLocalCommit(Object token)

Since:
  4.3

### invalidate

@Deprecated void invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender)
Deprecated.
As of 4.2 use `invalidate(CDOCommitInfo, InternalCDOTransaction, boolean)`.

Since:
  3.0

### invalidate

@Deprecated void invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender, boolean clearResourcePathCache)
Deprecated.
As of 4.3 use `invalidate(CDOCommitInfo, InternalCDOTransaction, boolean, byte, Map)`.

Since:
  4.2

### invalidate

@Deprecated void invalidate(CDOCommitInfo commitInfo, InternalCDOTransaction sender, boolean clearResourcePathCache, byte securityImpact, Map<CDOID,CDOPermission> newPermissions)
Deprecated.
As of 4.6 use `invalidate(InvalidationData)`.

Since:
  4.3

### invalidate

void invalidate(InternalCDOSession.InvalidationData invalidationData)

Since:
  4.6

### processRefreshSessionResult

void processRefreshSessionResult(CDOSessionProtocol.RefreshSessionResult result, CDOBranch branch, List<InternalCDOView> branchViews, Map<CDOBranch,Map<CDOID,InternalCDORevision>> viewedRevisions)

Since:
  3.0

### isSticky

boolean isSticky()

Since:
  4.0

### getCommittedSinceLastRefresh

CDOBranchPoint getCommittedSinceLastRefresh(CDOID id)

Since:
  4.0

### setCommittedSinceLastRefresh

void setCommittedSinceLastRefresh(CDOID id, CDOBranchPoint branchPoint)

Since:
  4.0

### clearCommittedSinceLastRefresh

void clearCommittedSinceLastRefresh()

Since:
  4.0

### setLoginPeek

void setLoginPeek(boolean loginPeek)

Since:
  4.23

### setMainBranchLocal

void setMainBranchLocal(boolean mainBranchLocal)

Since:
  4.0

### createRevisionAvailabilityInfo

@Deprecated CDORevisionAvailabilityInfo createRevisionAvailabilityInfo(CDOBranchPoint branchPoint)
Deprecated.
As of 4.2 not used anymore.

Since:
  4.0

### cacheRevisions

@Deprecated void cacheRevisions(CDORevisionAvailabilityInfo info)
Deprecated.
As of 4.2 not used anymore.

Since:
  4.0

### getMergeData

InternalCDOSession.MergeData getMergeData(CDOBranchPoint target, CDOBranchPoint source, CDOBranchPoint sourceBase, boolean computeChangeSets)

Since:
  4.2

### getMergeData

InternalCDOSession.MergeData getMergeData(CDOBranchPoint target, CDOBranchPoint source, CDOBranchPoint targetBase, CDOBranchPoint sourceBase, boolean computeChangeSets)

Since:
  4.6

### updatePermissions

Map<CDORevision,CDOPermission> updatePermissions()

Since:
  4.22